Bug 1566514 - [RFE] Support no authentication for all clients from gwcli
Summary: [RFE] Support no authentication for all clients from gwcli
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: iSCSI
Version: 3.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: 3.1
Assignee: Mike Christie
QA Contact: Manohar Murthy
Aron Gunn
URL:
Whiteboard:
Depends On:
Blocks: 1584264 1615088
TreeView+ depends on / blocked
 
Reported: 2018-04-12 12:48 UTC by Jason Dillaman
Modified: 2018-09-26 18:20 UTC (History)
8 users (show)

Fixed In Version: ceph-iscsi-cli-2.7-5.el7cp
Doc Type: Enhancement
Doc Text:
.Disabling CHAP for iSCSI gateway authentication Previously, CHAP authentication was required when using the Ceph iSCSI gateway. With this release, disabling CHAP authentication can be configured with the `gwcli` utility or with Ceph Ansible. However, mixing clients with CHAP enabled and disabled is not supported. All clients must either have CHAP enabled or disabled. If enabled, clients might have different CHAP credentials.
Clone Of:
: 1615088 (view as bug list)
Environment:
Last Closed: 2018-09-26 18:19:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
playbook.log, messages log,event logs (1.09 MB, application/x-gzip)
2018-08-09 08:40 UTC, Madhavi Kasturi
no flags Details


Links
System ID Priority Status Summary Last Updated
Github ceph ceph-iscsi-cli pull 113 None None None 2018-08-10 15:52:25 UTC
Github ceph ceph-iscsi-config pull 45 None None None 2018-04-12 12:49:22 UTC
Red Hat Product Errata RHBA-2018:2819 None None None 2018-09-26 18:20:44 UTC

Description Jason Dillaman 2018-04-12 12:48:45 UTC
Description of problem:
You should be able to selectively disable CHAP authentication on a per-initiator basis. Right now, CHAP is required for all initiators.

Comment 6 Madhavi Kasturi 2018-08-09 08:40:45 UTC
Created attachment 1474605 [details]
playbook.log, messages log,event logs

Comment 21 errata-xmlrpc 2018-09-26 18:19:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2819


Note You need to log in before you can comment on or make changes to this bug.